/*
  This exercise will give you experience identifying compile-time,
  run-time and logic errors in Java code.  

  ASCII Art is a technique that uses sequences of characters
  printed on successive lines to depict a graphic on non-graphical
  display.  The program `DrawCat.java` - included in your project
  folder -  uses ASCII Art to draw a cat. It takes two characters
  on the command-line - the first for the cat's eyes and the second
  for its mouth.  Using these command-line arguments, `DrawCat`
  should draw a cat, as shown below: 

  > java DrawCat @ +
            ^_^   
      ____( @ @)
    /~____  =+= /
   (______)__m_m)


  Fix all the errors in the provided file `DrawCat.java`.  Your
  solution should have no errors, including *Checkstyle* warnings. 

  You can use any characters, not just ASCII, such as 👁️  👄
  
  > java DrawCat 👁️  👄 
            ^_^   
      ____( 👁️ 👁️)
    /~____  =👄= /
   (______)__m_m)                                      

  Background: This website https://asciiart.website contains
  many interesting ASCII Art pics. 

 */

public class DrawCat {
    // draws a cat
    public static void main(String args) {
        System.out.println("          ^_^");
        System.out.println("    ____( " + args[0] + " " +
                           args[0] + ")       ");
        System.out.println("  /~____  =" + args[0] + "= /");
        System.out.print(" (______)__m_m)   ");


}

