/*
    This exercise is based on the live coding exercise in lecture.

    This program reads two command-line arguments:
      - a year is between 1 and 9999
      - a name of a folder than contains a voice

    Then it "says" the year, using the given voice.

    java-introcs SayYear 2024 Siri

    java-introcs SayYear 2024 Zarvox
 */
public class SayYear {
    // plays the year (first command-line argument) in the
    // given folder (second command-line argument)
    public static void main(String[] args) {
        // first command-line argument is year
        int year = Integer.parseInt(args[0]);

        // second-command-line argument is the name
        // of the folder
        String voice = ____

        // create folder name - voice + /
        String folder = voice + "/";

        // parse first and last two digits of year
        int firstTwoDigits = year / 100;
        int lastTwoDigits = year % 100;

        // check special case for years ending in 000
        if (year % 1000 == 0) {
            int firstDigit = year / 1000;

            StdAudio.play(folder + firstDigit + ".wav");
            StdAudio.play(____ + "thousand.wav");
        }
        else {
            if (firstTwoDigits > 0) // say first two digits (unless 00)
                StdAudio.play(____ + firstTwoDigits + ".wav");
            if (lastTwoDigits == 0) // years ending in 00 (but not 000)
                StdAudio.play(____ + ____ + ".wav"); // say hundred
            else {
                if (lastTwoDigits < 10) // years ending in 01 to 09 - say oh
                    StdAudio.play(folder + ____);
                StdAudio.play(____ + ____ + ____); // say last two digits
            }
        }
    }
}
